# ThreadsafePacketLogger Class Reference
[PacketLogger]

Same as PacketLogger, but writes output in the user thread. More...

`#include <ThreadsafePacketLogger.h>`

Inheritance diagram for ThreadsafePacketLogger:

List of all members.

## Public Member Functions

virtual void | Update (RakPeerInterface *peer)

## Detailed Description

Same as PacketLogger, but writes output in the user thread.

## Member Function Documentation

void ThreadsafePacketLogger::Update | ( | RakPeerInterface * | peer | ) | `[virtual]`

Update is called every time a packet is checked for .

Parameters:

  `[in]` | peer | - the instance of RakPeer that is calling Receive

Reimplemented from PacketLogger.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/Source/ThreadsafePacketLogger.h
- /home/rakkar/raknet-trunk/export/Source/ThreadsafePacketLogger.cpp